=== debian/changelog ===
ros-rviz (1.14.25+dfsg-1) unstable; urgency=medium

  * New upstream version 1.14.25+dfsg
  * Rediff patches
  * Bump policy version (no changes)
  * Switch to QT6

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 20 Jun 2024 13:27:30 +0200
