=== debian/rules ===
#!/usr/bin/make -f

# Change RVIZ_PLUGIN_SOVERSION also in debian/rviz.links
export PYBUILD_CONFIGURE_ARGS=-DPYBUILD_PYTHON_VERSION={version} -DRVIZ_SOVERSION=8d -DRVIZ_PLUGIN_SOVERSION=2d -DBUILD_TESTING:BOOL=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
export PYBUILD_SYSTEM=cmake
export PATH:=/usr/lib/qt6/bin:$(PATH)

include /usr/share/dpkg/architecture.mk

# librviz-dev exposes the exact qt version in rviz-extras.cmake so downstream
# projects can find_package() it. This creates a dependency on at least that
# version.
# See: https://github.com/ros-visualization/rviz/issues/1773
RVIZ_DEPENDS = $(shell dpkg-query -f '$${Package} (>= $${source:Upstream-Version})' -W qtbase5-dev)

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	chrpath -d debian/tmp/usr/lib/python3*/*/rviz/*.so
	mv debian/tmp/usr/share/rviz/cmake/default_plugin_location.cmake debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/rviz

override_dh_auto_test:
	dh_auto_test -- --before-test "PYTHONPATH={build_dir}/build/devel/lib/python*/dist-packages make -C {build_dir} run_tests" --after-test "catkin_test_results {build_dir}"

override_dh_gencontrol:
	dh_gencontrol -- -Vrviz:Depends="$(RVIZ_DEPENDS)"
