=== src/rviz/CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,7 @@
   message_filter_display.h
   mesh_loader.cpp
   new_object_dialog.cpp
+  noetic_eol_dialog.cpp
   add_display_dialog.cpp
   ogre_helpers/apply_visibility_bits.cpp
   ogre_helpers/arrow.cpp
