=== debian/changelog ===
ros-rviz (1.14.26+dfsg-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.3
  * Migrate to dh-ros
  * New upstream version 1.14.26+dfsg
  * Update patches.
    Merged: 0005-Bump-cmake_minimum_required.patch

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Jan 2026 20:04:13 +0100
