=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Uploaders:
  Jochen Sprickerhof <jspricke@debian.org>,
  Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
- Timo Röhling <roehling@debian.org>
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-ros,
+ dh-sequence-python3,
  catkin (>= 0.8.10-1~),
  chrpath,
- dh-sequence-python3,
  libassimp-dev,
  libboost-filesystem-dev,
  libboost-program-options-dev,
@@ -25,7 +26,7 @@
  libmessage-filters-dev,
  libnav-msgs-dev,
  libogre-1.12-dev,
- qt6-base-dev,
+ libpython3-all-dev,
  libresource-retriever-dev,
  librosbag-dev,
  librosconsole-dev,
@@ -42,15 +43,15 @@
  libx11-dev,
  libyaml-cpp-dev,
  pluginlib-dev,
- libpython3-all-dev,
  pyqt6-dev,
  python3-all:any,
  python3-pyqt6,
  python3-pyqtbuild,
  python3-rospy,
+ qt6-base-dev,
  ros-std-msgs,
  sip-tools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/rviz
@@ -65,9 +66,6 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends},
- ${rviz:Depends},
- librviz8d (= ${binary:Version}),
  libimage-transport-dev,
  libinteractive-markers-dev,
  liblaser-geometry-dev,
@@ -80,6 +78,7 @@
  librosconsole-dev,
  libroscpp-dev,
  libroslib-dev,
+ librviz8d (= ${binary:Version}),
  libsensor-msgs-dev,
  libstd-msgs-dev,
  libstd-srvs-dev,
@@ -88,6 +87,8 @@
  libvisualization-msgs-dev,
  pluginlib-dev,
  python3-rospy,
+ ${misc:Depends},
+ ${rviz:Depends},
 Description: ${source:Synopsis} (development files)
  ${source:Extended-Description}
  .
@@ -104,19 +105,6 @@
  .
  This package contains the rviz library.
 
-Package: rviz
-Section: utils
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- fonts-liberation,
- libqt6svg6,
-Description: ${source:Synopsis}
- ${source:Extended-Description}
- .
- This package contains the rviz program.
-
 Package: python3-rviz
 Section: python
 Architecture: any
@@ -128,3 +116,16 @@
  ${source:Extended-Description}
  .
  This package contains the Python 3 interface to the rviz library.
+
+Package: rviz
+Section: utils
+Architecture: any
+Depends:
+ fonts-liberation,
+ libqt6svg6,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
+ .
+ This package contains the rviz program.
