=== debian/watch ===
Version: 5

Template: Github
Owner: ros-visualization
Project: rviz
Dversion-Mangle: auto
Repack: yes
Repack-Suffix: +dfsg
